QDataSink(3qt)

NAME
QDataSink - A QDataSink is an asynchronous consumer of data

SYNOPSIS

#include <qasyncio.h>

Inherits QAsyncIO.

  Public Members
virtual int readyToReceive ()
virtual void receive ( const uchar *, int count )
virtual void eof ()
void maybeReady ()

DESCRIPTION
A QDataSink is an asynchronous consumer of data.

A data sink is an object which receives data from some source in an asynchronous manner. This means that at some time not determined by the data sink, blocks of data are given to it from processing. The data sink is able to limit the maximum size of such blocks which it is currently able to process.

See also: QAsyncIO, QDataSource and QDataPump.

MEMBER FUNCTION DOCUMENTATION

void QDataSink::eof () [virtual]
This function will be called when no more data is available for processing.

void QDataSink::maybeReady ()
This should be called whenever readyToReceive() might have become non-zero. It is merely calls QAsyncIO::ready() if readyToReceive() is non-zero.

int QDataSink::readyToReceive () [virtual]
The data sink should return a value indicating how much data it is ready to consume. This may be 0.

void QDataSink::receive ( const uchar *, int count ) [virtual]
This function is called to provide data for the data sink. The count will be no more than the amount indicated by the most recent call to readyToReceive(). The sink must use all the provided data.

SEE ALSO
http://www.troll.no/qt/qdatasink.html

COPYRIGHT
Copyright 1992-1997 Troll Tech AS. See the LICENSE file included in the distribution for a complete license statement.

AUTHOR
Generated automatically from the source code.